Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.discussion
Class DiscussionMessageStatusFilterType

    java.lang.Object
      com.plumtree.remote.prc.collaboration.discussion.DiscussionMessageStatusFilterType

public class DiscussionMessageStatusFilterType
extends java.lang.Object

An enumerated type passed to an instance of `IDiscussionFilter` to specify whether to return only messages in approved status (default), unapproved status, or both, used in `IDiscussionMessageFilter.get/setMessageStatusType` methods.

Field Summary
`static DiscussionMessageStatusFilterType` | `ALL` Show all messages regardless of status.
`static DiscussionMessageStatusFilterType` | `APPROVED` Show only approved messages (default filter value).
`static DiscussionMessageStatusFilterType` | `UNAPPROVED` Show only unapproved messages.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL

    public static final DiscussionMessageStatusFilterType ALL

  Show all messages regardless of status.

### APPROVED

    public static final DiscussionMessageStatusFilterType APPROVED

  Show only approved messages (default filter value).

### UNAPPROVED

    public static final DiscussionMessageStatusFilterType UNAPPROVED

  Show only unapproved messages.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.